/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:51
 */
import request from '@/utilsRc/request'

// 查询援助需求列表
export function listAssistService(query) {
  return request({
    url: '/demand/personAssistDemandInfo/list',
    method: 'get',
    params: query
  })
}

// 查询援助需求详细
export function getAssistService(ids) {
  return request({
    url: '/demand/personAssistDemandInfo/' + ids,
    method: 'get'
  })
}

// 新增援助需求
export function addAssistService(data) {
  return request({
    url: '/demand/personAssistDemandInfo',
    method: 'post',
    data: data
  })
}

// 修改援助需求
export function updateAssistService(data) {
  return request({
    url: '/demand/personAssistDemandInfo',
    method: 'put',
    data: data
  })
}

// 删除援助需求
export function delAssistService(ids) {
  return request({
    url: '/manage/personDemand/' + ids,
    method: 'delete'
  })
}

// 个人援助需求办结
export function finishAssistService(data) {
  return request({
    url: '/demand/personAssistDemandInfo/assistDone',
    method: 'post',
    data: data
  })
}